# layersetdesc.cpp File Reference

Template File. More...

`#include "layersetdesc.h"`
`#include <synfigapp/canvasinterface.h>`
`#include <synfigapp/general.h>`

## Functions

| ACTION_INIT_NO_GET_LOCAL_NAME (Action::LayerSetDesc)
| ACTION_SET_NAME (Action::LayerSetDesc,"LayerSetDesc")
| ACTION_SET_LOCAL_NAME (Action::LayerSetDesc, N_("Set Layer Description"))
| ACTION_SET_TASK (Action::LayerSetDesc,"set_desc")
| ACTION_SET_CATEGORY (Action::LayerSetDesc, Action::CATEGORY_LAYER)
| ACTION_SET_PRIORITY (Action::LayerSetDesc, 0)
| ACTION_SET_VERSION (Action::LayerSetDesc,"0.0")
| ACTION_SET_CVS_ID (Action::LayerSetDesc,"$Id$")

## Variables

static const int | nindex = -1

## Detailed Description

Template File.

$Id$

## Function Documentation

ACTION_INIT_NO_GET_LOCAL_NAME | ( | Action::LayerSetDesc |  | ) |

ACTION_SET_NAME | ( | Action::LayerSetDesc | ,
|  | "LayerSetDesc" |  |
| ) |  |  |

ACTION_SET_LOCAL_NAME | ( | Action::LayerSetDesc | ,
|  | N_("Set Layer Description") |  |
| ) |  |  |

ACTION_SET_TASK | ( | Action::LayerSetDesc | ,
|  | "set_desc" |  |
| ) |  |  |

ACTION_SET_CATEGORY | ( | Action::LayerSetDesc | ,
|  | Action::CATEGORY_LAYER |  |
| ) |  |  |

ACTION_SET_PRIORITY | ( | Action::LayerSetDesc | ,
|  | 0 |  |
| ) |  |  |

ACTION_SET_VERSION | ( | Action::LayerSetDesc | ,
|  | "0.0" |  |
| ) |  |  |

ACTION_SET_CVS_ID | ( | Action::LayerSetDesc | ,
|  | "$Id$" |  |
| ) |  |  |

## Variable Documentation

const int nindex = -1`[static]`